Subject: bug#52836: "guix import pypi" fails with "Failed to extract file from wheel" and "no requires.txt file found"

From: zimoun <[email-masked]>
Date: Fri, 31 Dec 2021 12:00:33 +0100

Hi,

On Fri, 31 Dec 2021 at 11:15, bbb ee <[email-masked]> wrote:

> > Is it a bug on Guix side or upstream?  Because it seems that upstream
> > does not provide metadata information, at least, as usually expected.
>
> `pip install PyPortfolioOpt`, `poetry add PyPortfolioOpt` runs for me. If other python package installer can run, I suppose the upstream is correct.

Hum, not necessary.  Well, I do not think that 'pip' uses all the
metadata from PyPI to install.  'pip' does dirty things and yes it
just works :-)  But this does not imply that PyPortfolioOpt is
correctly packaged as it is defined by PyPI standards.  I do not know
'poetry'.

Anyway. :-)  I am not finding the PEP defining the Python packaging
and the structure for a PyPI package.  Because it is not clear for me
if it is a bug on Guix side or upstream.

Cheers,
simon